Name:       mageia-maintainers-database
Version:    0.0
Release:    %mkrel 9
Summary:    Web interface to manage package/maintainer relations
Group:      Networking/WWW
License:    GPLv3
URL:        http://gitorious.org/mageia-maintainers-database-r2
Source0:    %{name}-r2-%{name}-r2-master.tar.gz
Source1:    database.yml
Source2:    dispatch.fcgi
Source3:    %{name}.conf
Source4:    .htaccess
Source5:    README.urpmi
Patch0:     mageia-maintainers-database-0.0-fix-rails-version.patch
BuildRequires: rubygem(rake)
BuildRequires: rubygem(rails)
Requires:   rubygem(rails)
# hard dependencies at the moment
Requires:   apache
Requires:   rubygem(json)
BuildArch:  noarch

%description
Web interface to manage package/maintainer relations

%prep
%setup -q -n %{name}-r2-%{name}-r2
%patch0 -p0
# remove vendorized gems
rm -rf vendor/{rails/,plugins/rspec*}
cp -f %{SOURCE1} config/
cp %{SOURCE5} .

%install
%{__install} -d %{buildroot}%{_var}/www/%{name}
cp -ax * %{buildroot}%{_var}/www/%{name}
%{__install} -m755 %{SOURCE2} %{buildroot}%{_var}/www/%{name}/public
%{__install} -d %{buildroot}%{_webappconfdir}
%{__install} -m644 %{SOURCE3} %{buildroot}%{_webappconfdir}
%{__install} -m644 %{SOURCE4} %{buildroot}%{_var}/www/%{name}/public

rm -f %{buildroot}%{_var}/www/%{name}/README.urpmi

%files
%doc README.urpmi
%config(noreplace) %{_webappconfdir}/%{name}.conf
%{_var}/www/%{name}/Capfile
%{_var}/www/%{name}/Gemfile
%{_var}/www/%{name}/Rakefile
%doc %{_var}/www/%{name}/README
%{_var}/www/%{name}/app/
%{_var}/www/%{name}/config/environments
%{_var}/www/%{name}/config/initializers
%{_var}/www/%{name}/config/locales
%{_var}/www/%{name}/config/*.rb
%config(noreplace) %{_var}/www/%{name}/config/cucumber.yml
%config(noreplace) %{_var}/www/%{name}/config/database.yml
%{_var}/www/%{name}/db/
%doc %{_var}/www/%{name}/doc/
%{_var}/www/%{name}/features/
%{_var}/www/%{name}/lib/
%attr(-,apache,apache) %{_var}/www/%{name}/log
%{_var}/www/%{name}/public/
%{_var}/www/%{name}/script/
%{_var}/www/%{name}/server
%{_var}/www/%{name}/spec/
%{_var}/www/%{name}/test/



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.0-9.mga4
+ Revision: 521866
- Mageia 4 Mass Rebuild

* Thu Jan 24 2013 fwang <fwang> 0.0-8.mga3
+ Revision: 392142
- there is no such requires for now

* Thu Jan 24 2013 fwang <fwang> 0.0-7.mga3
+ Revision: 392138
- drop requires on versioned rails

* Sat Jan 12 2013 umeabot <umeabot> 0.0-6.mga3
+ Revision: 359296
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + solbu <solbu>
    - Rebuild for new rails

* Sat Oct 29 2011 shikamaru <shikamaru> 0.0-4.mga2
+ Revision: 159721
- rebuild for new rails
- add Requires for json

* Sun Apr 17 2011 shikamaru <shikamaru> 0.0-2.mga1
+ Revision: 86881
- fix rails version

* Sun Apr 17 2011 shikamaru <shikamaru> 0.0-1.mga1
+ Revision: 86870
- imported package mageia-maintainers-database

